VerificationResult (jakarta-bcel 5.1 API)
Keywords: org.apache.bcel.verifier.VerificationResult,VerificationResult class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.verifier
Class VerificationResult

    java.lang.Object
      |
      +--org.apache.bcel.verifier.VerificationResult

public class VerificationResult
extends java.lang.Object

A VerificationResult is what a PassVerifier returns after verifying.

Version:
  $Id: VerificationResult.java,v 1.2 2002/06/13 09:32:50 enver Exp $
Author:
  Enver Haase

Field Summary
`static int` | `VERIFIED_NOTYET` Constant to indicate verification has not been tried yet.
`static int` | `VERIFIED_OK` Constant to indicate verification was passed.
`static int` | `VERIFIED_REJECTED` Constant to indicate verfication failed.
`static VerificationResult` | `VR_NOTYET` Canonical VerificationResult for not-yet-tried verifications.
`static VerificationResult` | `VR_OK` Canonical VerificationResult for passed verifications.

Constructor Summary
`VerificationResult(int status, java.lang.String message)` The usual constructor.

Method Summary
`boolean` | `equals(java.lang.Object o)` Returns if two VerificationResult instances are equal.
`java.lang.String` | `getMessage()` Returns a detailed message.
`int` | `getStatus()` Returns one one the VERIFIED_OK, VERIFIED_NOTYET, VERIFIED_REJECTED constants.
`java.lang.String` | `toString()` Returns a String representation of the VerificationResult.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VERIFIED_NOTYET

    public static final int VERIFIED_NOTYET

  Constant to indicate verification has not been tried yet. This happens if some earlier verification pass did not return VERIFIED_OK.

  See Also:
    Constant Field Values

### VERIFIED_OK

    public static final int VERIFIED_OK

  Constant to indicate verification was passed.

  See Also:
    Constant Field Values

### VERIFIED_REJECTED

    public static final int VERIFIED_REJECTED

  Constant to indicate verfication failed.

  See Also:
    Constant Field Values

### VR_NOTYET

    public static final VerificationResult VR_NOTYET

  Canonical VerificationResult for not-yet-tried verifications. This happens if some earlier verification pass did not return VERIFIED_OK.

### VR_OK

    public static final VerificationResult VR_OK

  Canonical VerificationResult for passed verifications.

Constructor Detail

### VerificationResult

    public VerificationResult(int status,
                              java.lang.String message)

  The usual constructor.

Method Detail

### getStatus

    public int getStatus()

  Returns one one the VERIFIED_OK, VERIFIED_NOTYET, VERIFIED_REJECTED constants.

### getMessage

    public java.lang.String getMessage()

  Returns a detailed message.

### equals

    public boolean equals(java.lang.Object o)

  Returns if two VerificationResult instances are equal.

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Returns a String representation of the VerificationResult.

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.